com.google.web.bindery.requestfactory.server

## Class FindServiceLayer

- java.lang.Object
- - com.google.web.bindery.requestfactory.server.ServiceLayer
  - - com.google.web.bindery.requestfactory.server.ServiceLayerDecorator
    - - com.google.web.bindery.requestfactory.server.FindServiceLayer

-     public class FindServiceLayer
      extends ServiceLayerDecorator

  Allows the use of a very short operation name for the find method. This also avoids the need to introduce special-case code for FindRequest into RequestFactoryInterfaceValidator.

- - ### Field Summary

    - ### Fields inherited from class com.google.web.bindery.requestfactory.server.ServiceLayerDecorator

      `next`

    - ### Fields inherited from class com.google.web.bindery.requestfactory.server.ServiceLayer

      `top`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FindServiceLayer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.reflect.Method` | `resolveDomainMethod(java.lang.String operation)` Return the domain service method associated with a RequestContext method declaration.
    `java.lang.Class<? extends RequestContext>` | `resolveRequestContext(java.lang.String operation)` Find a RequestContext that should be used to fulfill the requested operation.
    `java.lang.reflect.Method` | `resolveRequestContextMethod(java.lang.String operation)` Find a RequestContext method declaration by name.

    - ### Methods inherited from class com.google.web.bindery.requestfactory.server.ServiceLayerDecorator

      `createDomainObject, createLocator, createServiceInstance, createServiceLocator, die, getDomainClassLoader, getGetter, getId, getIdType, getNext, getProperty, getRequestReturnType, getSetter, getTop, getVersion, invoke, isLive, loadDomainObject, loadDomainObjects, report, report, requiresServiceLocator, resolveClass, resolveClientType, resolveDomainClass, resolveLocator, resolveRequestFactory, resolveServiceClass, resolveServiceLocator, resolveTypeToken, setProperty, validate`

    - ### Methods inherited from class com.google.web.bindery.requestfactory.server.ServiceLayer

      `create`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FindServiceLayer

          public FindServiceLayer()

  - ### Method Detail

    - #### resolveDomainMethod

          public java.lang.reflect.Method resolveDomainMethod(java.lang.String operation)

      Description copied from class: `ServiceLayer`
      Return the domain service method associated with a RequestContext method declaration. The `requestContextMethod` will have been previously resolved by `#resolveRequestContextMethod(String, String)`.
      Overrides:
        `resolveDomainMethod` in class `ServiceLayerDecorator`
      Returns:
        the domain service method that should be invoked

    - #### resolveRequestContext

          public java.lang.Class<? extends RequestContext> resolveRequestContext(java.lang.String operation)

      Description copied from class: `ServiceLayer`
      Find a RequestContext that should be used to fulfill the requested operation.
      Overrides:
        `resolveRequestContext` in class `ServiceLayerDecorator`
      Parameters:
        `operation` - the operation
      Returns:
        the RequestContext or `null` if no RequestContext exists that can fulfill the operation

    - #### resolveRequestContextMethod

          public java.lang.reflect.Method resolveRequestContextMethod(java.lang.String operation)

      Description copied from class: `ServiceLayer`
      Find a RequestContext method declaration by name.
      Overrides:
        `resolveRequestContextMethod` in class `ServiceLayerDecorator`
      Parameters:
        `operation` - the operation's name
      Returns:
        the method declaration, or `null` if the method does not exist